

.ant-select {
    border-radius: 3px;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: var(--text_001);
    background-color: var(--bg_inputs) !important;
    font-size: 10px;
    font-variant: tabular-nums;
    list-style: none;
    font-feature-settings: "tnum";
    position: relative;
    display: inline-block;
    cursor: pointer;
    box-shadow: None !important;
    transition: none;
    width: 100%;
}
.ant-select:not(.ant-select-customize-input) .ant-select-selector {
    position: relative;
    background-color: var(--bg_inputs) !important;
    border: 1px solid var(--border_color_inputs) !important;
    border-radius: 3px;
    /*transition: all .3s cubic-bezier(.645,.045,.355,1);*/
}
.ant-select:not(.ant-select-disabled):hover .ant-select-selector {
    border-color: var(--blue_alert) !important;
    /*border-color: var(--ant-primary-5);*/
    border-right-width: 1px;
}

.ant-select-focused:not(.ant-select-disabled) .ant-select:not(.ant-select-customize-input) .ant-select-selector {
    border-color: var(--blue_alert) !important;
    border-right-width: 1px;
    box-shadow: None !important;
    /*box-shadow: 0 0 0 2px rgb(var(--rgb-icon-blue)/ 20%);*/
}

/*noinspection CssUnusedSymbol*/
.ant-select-tree-checkbox-disabled .ant-select-tree-checkbox-inner {
    background-color: var(--DisabledInputs);
    border-color: var(--border-2);
}

/*noinspection CssUnusedSymbol*/
.ant-select-tree .ant-select-tree-treenode-disabled .ant-select-tree-node-content-wrapper {
    opacity: 0.4;
    color: var(--text_001);
    cursor: not-allowed;
}
.ant-select-single {
    height: inherit;
}
/*.ant-select-selection-search {*/
/*    height: 21px !important;*/
/*}*/
/*noinspection CssUnusedSymbol*/
.ant-select-selection-search-input {
    height: 21px !important;
}
/* Custom Formatting for Disabling */
.grx-ant-selector {}
.grx-ant-selector.invalid {
    border: 1px solid rgb(227, 55, 55);
    /*border: 1px solid rgb(227, 55, 55);*/
    border-radius: 3px;
}
.grx-ant-selector.invalid.ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
    border: none !important;
    box-shadow: none !important;
}

/* The Trees within the drop down */
.ant-select-tree {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: var(--text_001);
    font-size: 11px !important;
    font-variant: tabular-nums;
    line-height: 1.5715;
    list-style: none;
    font-feature-settings: "tnum";
    background: var(--bg_inputs);
    border-radius: 2px;
    transition: background-color .3s;
}

/*noinspection CssUnusedSymbol*/
.ant-select-tree-list-holder-inner {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: var(--text_001);
    font-size: 11px !important;
    font-variant: tabular-nums;
    line-height: 1.5715;
    list-style: none;
    font-feature-settings: "tnum";
    background: var(--bg_inputs);
    border-radius: 2px;
    transition: background-color .3s;
}
/*.ant-select-tree-checkbox-checked .ant-select-tree-checkbox-inner {*/
/*    background-color: var(--blue_alert) !important;*/
/*    border-color: var(--blue_alert) !important;*/
/*}*/

    /* the physical lines that show each level */
/*noinspection CssUnusedSymbol*/
.ant-tree-select-dropdown .ant-select-tree-show-line .ant-select-tree-switcher {
    background-color: transparent;
}

/*noinspection CssUnusedSymbol*/
.ant-select-tree-show-line .ant-select-tree-switcher {
    background-color: var(--bg_inputs);
}
.ant-select-multiple .ant-select-selection-item {
    position: relative;
    display: flex;
    flex: none;
    box-sizing: border-box;
    max-width: 100%;
    height: 16px;
    /*height: 24px;*/
    margin-top: 2px;
    margin-bottom: 2px;
    line-height: 16px;
    /*line-height: 22px;*/
    background: rgba(var(--rgb-standard-blue) / 100) !important;
    color: white !important;
    /*background: #f5f5f5;*/
    border: 1px solid rgba(0,0,0,.06);
    border-radius: 3px;
    cursor: default;
    transition: font-size .3s,line-height .3s,height .3s;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-margin-end: 4px;
    margin-inline-end: 4px;
    padding-inline: 6px 4px;
}

.ant-select-multiple .ant-select-selection-item-remove {
    color: white !important;
    /*color: var(--blue_alert_bg_dark_text);*/
    font-size: 8px;
}
/* The Class that is used to wrap a single drop down option within the select drop down */
/*noinspection CssUnusedSymbol*/
.ant-select-tree .ant-select-tree-treenode {
    display: flex;
    align-items: flex-start;
    padding: 1px 0;
    /*padding: 0 0 4px;*/
    outline: none;
}

/*noinspection CssUnusedSymbol*/
.ant-select-tree-switcher {
    position: relative;
    flex: none;
    align-self: stretch;
    width: 24px;
    margin: 0;
    text-align: center;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Clear button */
.ant-select-clear {
    position: absolute;
    top: 50%;
    right: 11px;
    z-index: 1;
    display: inline-block;
    width: 12px;
    height: 12px;
    margin-top: -8px;
    font-size: 12px;
    font-style: normal;
    line-height: 1;
    text-align: center;
    text-transform: none;
    /*color: rgba(0,0,0,.25);*/
    color: var(--text_001) !important;
    background-color: var(--bg_inputs) !important;
    /*background: transparent;*/
    cursor: pointer;
    opacity: 0;
    transition: color .3s ease,opacity .15s ease;
    text-rendering: auto;
}

/* drop down menu*/
.ant-select-dropdown {
    background-color: var(--bg_inputs);
}

/* checkbox */
.ant-select-tree-checkbox {
    top: auto;
    margin: 4px 8px 0 0;
}
.ant-select-tree-checkbox {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    height: 100%;
    color: rgba(0,0,0,.85);
    font-size: 8px;
    font-variant: tabular-nums;
    list-style: none;
    font-feature-settings: "tnum";
    position: relative;
    top: 5px;
    white-space: nowrap;
    outline: none;
    cursor: pointer;
}

/*noinspection CssUnusedSymbol*/
.ant-tree-select-dropdown .ant-select-tree-checkbox .ant-select-tree-checkbox-inner {
    position: relative;
    top: 0;
    left: 0;
    display: block;
    width: 14px;
    height: 14px;
    font-size: 10px;
    direction: ltr;
    background-color: var(--bg_inputs);
    color: var(--blue_highlight);
    border: 1px solid var(--border-3);
    border-radius: 2px;
    border-collapse: separate;
    transition: all .3s;
}

/*noinspection CssUnusedSymbol*/
.ant-tree-select-dropdown .ant-select-tree-checkbox-checked .ant-select-tree-checkbox-inner {
    background-color: var(--blue_alert) !important;
    border-color: var(--blue_alert) !important;
}

/* Level 1 Carrot Expander */
/*noinspection CssUnusedSymbol*/
.ant-select-tree-switcher .ant-select-tree-switcher-icon, .ant-select-tree-switcher .ant-tree-switcher-icon {
    display: inline-flex;
    font-size: 10px;
    vertical-align: baseline;
    align-items: center;
    justify-content: center;
}

/* Search Text */
/*noinspection CssUnusedSymbol*/
.ant-select-multiple.ant-select-sm .ant-select-selection-search-input, .ant-select-multiple.ant-select-sm .ant-select-selection-search-mirror {
    font-size: 11px;
}

/* Parent Expander for the + sign of the drop down area */
/*noinspection CssUnusedSymbol*/
.ant-select-tree-show-line .ant-select-tree-switcher-line-icon {
    vertical-align: .15em;
}


/* fac.AntdTree() Component Styling */
/*
The AntdTree component is a React component that uses the Ant Design library to render a tree structure. The default classes used to format the AntdTree component are:

ant-tree for the root element of the tree.
ant-tree-treenode for each tree node element.
ant-tree-treenode-switcher for the icon that toggles the expansion of a tree node.
ant-tree-treenode-checkbox for the checkbox that selects or deselects a tree node.
ant-tree-treenode-content-wrapper for the content wrapper of a tree node.
ant-tree-treenode-title for the title of a tree node.
ant-tree-treenode-selected for the selected state of a tree node.
ant-tree-treenode-disabled for the disabled state of a tree node.
ant-tree-treenode-loading for the loading state of a tree node.
*/
.ant-tree {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: var(--text_001);
    font-size: 11px;
    font-variant: tabular-nums;
    /*line-height: 1.5715;*/
    list-style: none;
    font-feature-settings: "tnum";
    /*background-color: var(--bg_inputs) !important;*/
    background: var(--bg_inputs);
    border-radius: 2px;
    transition: background-color .3s;
}

/*noinspection CssUnusedSymbol*/
.ant-tree-treenode {

}

/*noinspection CssUnusedSymbol*/
.ant-tree-show-line .ant-tree-switcher {
    background-color: transparent;
}

/*noinspection CssUnusedSymbol*/
.ant-tree-switcher {
    background-color: transparent;
    width: 24px;
    line-height: 14px;
    /*position: relative;*/
    /*flex: none;*/
    /*align-self: stretch;*/
    /*margin: 0;*/
    /*text-align: center;*/
    /*cursor: pointer;*/
    /*-webkit-user-select: none;*/
    /*-moz-user-select: none;*/
    /*-ms-user-select: none;*/
    /*user-select: none;*/
}

/*noinspection CssUnusedSymbol*/
.ant-tree-treenode-checkbox {

}

/*noinspection CssUnusedSymbol*/
.ant-tree-treenode-content-wrapper {
    /*display: flex;*/
    /*align-items: flex-start;*/
    /*padding: 1px 0;*/
    /*!*padding: 0 0 4px;*!*/
    /*outline: none;*/
}

/*noinspection CssUnusedSymbol*/
.ant-tree-treenode-title {
    /*position: relative;*/
    /*flex: none;*/
    /*align-self: stretch;*/
    /*width: 100%;*/
    /*margin: 0;*/
    /*padding: 0;*/
    /*color: var(--text_001);*/
    /*font-size: 11px;*/
    /*font-variant: tabular-nums;*/
    /*line-height: 1.5715;*/
    /*list-style: none;*/
    /*font-feature-settings: "tnum";*/
    /*background: transparent;*/
    /*border: 0;*/
    /*cursor: pointer;*/
    /*transition: color .3s;*/
    /*outline: none;*/
}

/*noinspection CssUnusedSymbol*/
.ant-tree-treenode-selected {
    background-color: var(--blue_highlight_transparent) !important;
    color: var(--blue_alert_bg_dark_text) !important;
}

/*noinspection CssUnusedSymbol*/
.ant-tree-treenode-disabled {
    opacity: 0.4;
    color: var(--text_001) !important;
    cursor: not-allowed;
}

/*noinspection CssUnusedSymbol*/
.ant-tree-treenode-loading {
    color: var(--blue_alert) !important;
}

/*noinspection CssUnusedSymbol*/
.ant-select-tree .ant-select-tree-node-content-wrapper {
    position: relative;
    z-index: auto;
    min-height: 24px;
    margin: 0;
    padding: 0 4px;
    color: inherit;
    line-height: 24px;
    background: transparent;
    border-radius: 2px;
    cursor: pointer;
    transition: all .3s,border 0s,line-height 0s,box-shadow 0s;
    /* prevent wrapping lines.. show elipsis    */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
/* ------------------------------------------------------------------------------------------------- */
/* Style for a Selected Tree Item & a Hover on Tree Item */
/* ------------------------------------------------------------------------------------------------- */
/* Selected item within a single tree selector */
/*noinspection CssUnusedSymbol*/
.ant-select-tree .ant-select-tree-node-content-wrapper.ant-select-tree-node-selected {
    background-color: rgb(var(--rgb-icon-blue) / 100%) !important;
    color: rgb(var(--rgb-white) / 90%) !important;
    /*background-color: var(--blue_highlight_transparent);*/
    /*color: var(--blue_alert_bg_dark_text);*/
}
/* Hover of an item in the single tree drop down */
/*noinspection CssUnusedSymbol*/
.ant-select-tree .ant-select-tree-node-content-wrapper:hover {
    background-color: rgb(var(--rgb-icon-blue) / 50%) !important;
    color: rgb(var(--rgb-pgColorOpposite) / 75%) !important;
}

